﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _1071815
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            radGridView1.DataSource = GetTable();
            radGridView1.CellValidating += RadGridView1_CellValidating;
            radGridView1.Columns.Add(new GridViewCommandColumn() { UseDefaultText = true, DefaultText = "Delete" });
           
            radGridView1.CommandCellClick += RadGridView1_CommandCellClick1;
        }

        private void RadGridView1_CommandCellClick1(object sender, EventArgs e)
        {
          
            if (radGridView1.CurrentRow.Index >= 0)
            {
                radGridView1.Rows.RemoveAt(radGridView1.CurrentRow.Index);
            }
        }

        private void RadGridView1_CellValidating(object sender, Telerik.WinControls.UI.CellValidatingEventArgs e)
        {
            if (e.Row == null || e.Column == null)
            {
                return;
            }
            if (!string.IsNullOrEmpty(Convert.ToString(e.Row.Cells["Stock ID"].Value)) && e.Column.Name == "Quantity")
            {
                if (Convert.ToDecimal(string.IsNullOrEmpty(Convert.ToString(e.Value)) ? 0 : e.Value) <= 0)
                {
                    e.Cancel = true;
                  //  e.Row.Cells["Quantity"].BeginEdit();
                    e.Row.ErrorText = "Error";
                }
                else
                {
                    e.Row.ErrorText = string.Empty;
                }
            }
        }

        static DataTable GetTable()
        {

            DataTable table = new DataTable();
            table.Columns.Add("Stock ID", typeof(int));
            table.Columns.Add("Quantity", typeof(decimal));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));
            table.Columns.Add("bool", typeof(bool));


            table.Rows.Add(1, 10, "David", DateTime.Now, true);
            table.Rows.Add(2, 10, "Sam", DateTime.Now, true);
            table.Rows.Add(3, 10, "Christoff", DateTime.Now, true);
            table.Rows.Add(4, 10, "Janet", DateTime.Now, true);
            table.Rows.Add(5, 10, "Melanie", DateTime.Now, true);

            return table;
        }
    }
}
